#!/bin/sh
#----------------------------------------------------------------------------
# /etc/rc.d/ipv6-tunnel-provider/sixxs.sh                        3.10.4
#
#
# Creation:     28.01.2012  kristov
# Last Update:  $Id: sixxs.sh 23110 2012-07-30 09:43:24Z kristov $
#----------------------------------------------------------------------------

# $1 = action
# $2 = tunnel index
# $3 = file receiving the tunnel configuration
# $4 = file containing the IPv6 fli4l configuration

. "$4"

case "$1" in
setup)
    eval remotev6=\$IPV6_TUNNEL_$2_REMOTEV6
    {
        eval echo \"remotev4=\$IPV6_TUNNEL_$2_REMOTEV4\"
        eval echo \"localv6=\$IPV6_TUNNEL_$2_LOCALV6\"
        eval echo \"remotev6=\$IPV6_TUNNEL_$2_REMOTEV6\"
        eval echo \"prefix=\$IPV6_TUNNEL_$2_PREFIX\"

        eval echo \"userid=\$IPV6_TUNNEL_$2_USERID\"
        eval password=\"\$IPV6_TUNNEL_$2_PASSWORD\"
        echo "password=`echo -n \"$password\" | md5sum | cut -d ' ' -f 1`"
        eval echo \"tunnelid=\$IPV6_TUNNEL_$2_TUNNELID\"
        eval timeout=\"\$IPV6_TUNNEL_$2_TIMEOUT\"
        echo "timeout=${timeout:-30}"

        echo "ticserver=tic.sixxs.net"
        echo "ticport=3874"
        echo "heartbeatport=3740"
    } >> "$3"

    if [ "$PF6_INPUT_ACCEPT_DEF" = 'yes' ]
    then
        # allow ping packets from the tunnel peer
        cat <<- EOF > /etc/rc.d/fwrules.ipv6.post.sixxs
            add_rule6 filter in-icmp "prot:icmpv6:echo-request [$remotev6] ACCEPT" PF6_INPUT_ACCEPT_DEF
EOF
    fi
    ;;
post-setup)
    /usr/local/bin/ipv6-sixxs-keepalive.sh "$3" &
    ;;
esac

exit 0
