#!/bin/sh
# $1 = configuration file
# $2 = dynamically assigned IPv4 address

. "$1"
if [ ! -n "$tunnelpass" ]; then
	tunnelpass="`/usr/local/bin/ipv6-sixxs-gettunnelpassword.sh \"$userid\" \"$password\" \"$tunnelid\" \"$ticserver\" \"$ticport\" \"$timeout\"`"
	if [ -n "$tunnelpass" ]; then
		echo "tunnelpass=$tunnelpass" >> "$1"
	else
		logger -t "ipup-sixxs[$$]" "tunnel password could not be read from TIC server $ticserver:$ticport"
		exit 1
	fi
fi

hb="HEARTBEAT TUNNEL `echo -n $localv6 | cut -d '/' -f 1` sender `date +%s`"
echo -n "$hb `echo -n $hb $tunnelpass | md5sum | cut -d ' ' -f 1`" | netcat -w 1 -u "$remotev4" $heartbeatport >/dev/null 2>&1
exit 0
