#!/bin/sh

USERID="$1"
PASSWORD="$2"
TUNNEL="$3"
TICSERVER="$4"
TICPORT="$5"
TIMEOUT="$6"

SIG="/tmp/aiccu.signature"

rm -f "$SIG"
(
	echo "client TIC/draft-00 AICCU/2007.01.15-console-linux Linux/3.2.35"
	sleep 1
	echo "username $USERID"
	sleep 1
	echo "challenge md5"
	try=0
	while [ ! -f "$SIG" -a $try -lt $TIMEOUT ]
	do
		sleep 1
		try=`expr $try + 1`
	done
	if [ -f "$SIG" ]; then
		sleep 1
		echo "authenticate md5 `cat $SIG`"
		sleep 1
		echo "tunnel show $TUNNEL"
		sleep 1
	fi
	echo "QUIT Stranded"
) | netcat $TICSERVER $TICPORT | (
	read REPLY
	echo $REPLY
	read REPLY
	echo $REPLY
	read REPLY
	echo $REPLY
	read ANSWER CHALLENGE
	echo $ANSWER $CHALLENGE
	echo -n "$CHALLENGE$PASSWORD" | md5sum | cut -d ' ' -f 1 > "$SIG"
	while read REPLY
	do
		echo "$REPLY"
	done
) | grep "Password:" | cut -d ' ' -f 2
