#!/bin/sh
#----------------------------------------------------------------------------
# reload-radvd.sh - reloads/restarts radvd                       3.10.4
#
# Last Update:  $Id: reload-dhcpd6.sh 26951 2013-04-07 18:00:06Z kristov $
#----------------------------------------------------------------------------

pidfile=/var/run/dhcpd6.pid

net_config_dir=/var/run/ipv6.nets
conffile=/etc/dhcpd6.conf
dhcpdevices=/var/run/dhcpd6.if

eval $(grep "^DOMAIN_NAME=" /etc/rc.cfg)
{
    echo "option dhcp6.domain-search \"$DOMAIN_NAME\";"
    echo "option dhcp6.preference 255;"
    echo "option dhcp6.rapid-commit;"
    echo "dhcpv6-lease-file-name \"/tmp/dhcpd6.leases\";"
} > $conffile

for netfile in "$net_config_dir"/*.conf
do
    [ -f "$netfile" ] || continue
    . "$netfile"
    [ "$dhcp" = "yes" ] || continue

    input=/var/run/dhcpd6-$dev.conf
    [ -f $input ] || continue

    cat $input
done >> $conffile

if [ -f $pidfile ]
then
    kill -TERM $(cat $pidfile)
    rm -f $pidfile
    sleep 1
fi

sort -u -o $dhcpdevices $dhcpdevices
if [ -s $dhcpdevices ]
then
    >> /tmp/dhcpd6.leases
    dhcpd -6 -cf $conffile $(cat $dhcpdevices) >/dev/null 2>&1
fi
