#!/bin/sh
#----------------------------------------------------------------------------
# reload-radvd.sh - reloads/restarts radvd                       3.10.4
#
# Last Update:  $Id: reload-radvd.sh 26914 2013-04-06 08:54:36Z kristov $
#----------------------------------------------------------------------------

pidfile=/var/run/radvd.pid

net_config_dir=/var/run/ipv6.nets
conffile=/etc/radvd.conf

for netfile in "$net_config_dir"/*.conf
do
    [ -f "$netfile" ] || continue
    . "$netfile"
    [ "$adv" = "yes" ] || continue

    input=/var/run/radvd-$dev.conf
    [ -f $input ] || continue

    echo "interface $dev {"
    echo "    IgnoreIfMissing on;"
    echo "    AdvSendAdvert on;"

    if [ "$dhcp" = "yes" ]
    then
        echo "    AdvOtherConfigFlag on;"
    fi

    cat $input

    echo "};"
done > $conffile

if [ -f $pidfile ]
then
    kill $(cat $pidfile)
    sleep 1
fi
if [ -s $conffile ]
then
    radvd -C $conffile -p $pidfile -m syslog >/dev/null 2>&1 &
fi
