#!/bin/sh
#----------------------------------------------------------------------------
# run-ipv6-updown.sh                                             3.10.4
#
# Last Update:  $Id: run-ipv6-updown.sh 27204 2013-04-19 14:20:25Z kristov $
#----------------------------------------------------------------------------
. /etc/boot.d/base-helper

run_scripts()
{
    op=$1
    real_interface=$2
    interface=$2
    tty=/dev/null
    speed=0
    prefix="$3"
    prefixvalidlft=$4
    prefixpreflft=$5

    case $interface in
    ppp0)                # it's DSL, map interface
        interface=pppoe
        ;;
    esac

    is_default_route=yes
    logprio=local2.notice

    script_name="run-ipv6-${op}.sh[$$]"

    (
        echo "starting ($*)..."
        unset booting

        # Call all custom ipv6-${op}s
        for j in /etc/ppp/ipv6-${op}[0-9][0-9][0-9].*
        do
            if [ -f $j ]
            then
                echo "executing $j"
                . $j
            fi
        done

        # special case for $op = up: call ppp-once scripts if not already done
        if [ "$op" = "up" ]
        then
            if [ ! -f /var/run/ipv6-up.ppp-once ]
            then
                for j in /etc/ppp-once/ipv6-up[0-9][0-9][0-9].*
                do
                    if [ -f $j ]
                    then
                        echo "executing $j"
                        . $j
                    fi
                done
            fi
        fi

        echo "terminating ..."
    ) 2>&1 | logmsg "$script_name"  $logprio
}

if [ ! -f /var/run/boot_finished ]
then
    (
        while [ ! -f /var/run/boot_finished ]
        do
            sleep 1
        done
        run_scripts $*
    ) >/dev/null 2>&1 &
else
    run_scripts $*
fi
